import { h, Component } from 'preact';
import "./modal.scss"
import Modal from './Modal';


export default class LoadingModal extends Modal<undefined> {
   title = "";
   constructor() {
      super();
   }

   getComponent() {
      return <Modal.BaseModal modal={this}>
         <div style="display: flex; justify-content: center;">
            <div style="margin: 3rem;" class="uk-spinner uk-icon">
               <svg width="90" height="90" viewBox="0 0 30 30" xmlns="http://www.w3.org/2000/svg" data-svg="spinner"><circle fill="none" stroke="#000" cx="15" cy="15" r="14" style="stroke-width: 0.333333px;"></circle></svg>
            </div>
         </div>
      </Modal.BaseModal>
   }
}