import { h } from "preact";
import "./add_button.scss";
import Plus from "feather-icons/dist/icons/plus.svg";
export default function AddButton({ onClick }: { onClick: () => void }) {
   return <button
      title={"add button"}
      class="add-button-button uk-button-primary uk-border-circle def-shadow"
      onClick={() => onClick()}
   >
      <Plus width={undefined} height={undefined} />
   </button>
}